Package voltage.core

# Class VoltageSystem

java.lang.Object
voltage.core.VoltageSystem

public class VoltageSystem extends Object
Some global utility functions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageSystem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `GetApplicationPath()`
  Gets the application's path.
  `static String`
  `GetDocumentsPath()`
  The user's default documents folder.
  `static String`
  `GetLibraryPath()`
  Gets the path to the library where shared Voltage Modular system files and the Java engine are stored.
  `static String`
  `GetRecordingPath()`
  This is where recordings are stored.
  `static String`
  `GetUserLibraryPath()`
  Gets the path to the library where all the modules, presets and logs are stored.
  `static void`
  `InitializeApplication()`
  Initializes the application - Do not call.
  `static void`
  `Log(String logStatement)`
  Deprecated.
  `static void`
  `LogError(String logStatement)`
  Deprecated.
  `static void`
  `OutputDebug(String logStatement)`
  A debugging tool to log strings into the output window in a debugger.
  `static void`
  `PrepareProcessor()`
  Prepares the processor - Do not call
  `static int`
  `ShowDropDownMenu(String[] options, int currentlySelectedIndex, VoltageComponent showMenuUnderThisObject)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageSystem

    public VoltageSystem()

- ## Method Details

  - ### InitializeApplication

    public static void InitializeApplication()
    Initializes the application - Do not call.

  - ### PrepareProcessor

    public static void PrepareProcessor()
    Prepares the processor - Do not call

  - ### GetApplicationPath

    public static String GetApplicationPath()
    Gets the application's path. If this is a plugin mode, it will be the path to the host executable.
    Returns:
      the application's path.

  - ### GetLibraryPath

    public static String GetLibraryPath()
    Gets the path to the library where shared Voltage Modular system files and the Java engine are stored. On the Mac it'll be something like "/Library/Application Support/Voltage", on Windows, it could be something like "\Documents and Settings\All Users\Application Data\Voltage".
    Returns:
      the library path.

  - ### GetUserLibraryPath

    public static String GetUserLibraryPath()
    Gets the path to the library where all the modules, presets and logs are stored. On the Mac it'll be something like "~/Library/Application Support/Voltage", on Windows, it could be something like "\Users\Username\AppData\Roaming\Voltage".
    Returns:
      the library path.

  - ### GetDocumentsPath

    public static String GetDocumentsPath()
    The user's default documents folder. On Windows, this might be the user's "My Documents" folder. On the Mac it'll be their "Documents" folder.
    Returns:
      the user's documents path.

  - ### GetRecordingPath

    public static String GetRecordingPath()
    This is where recordings are stored. It defaults to GetDocumentsPath()\Voltage Modular
    Returns:
      the user's recording path.

  - ### OutputDebug

    public static void OutputDebug(String logStatement)
    A debugging tool to log strings into the output window in a debugger.
    Parameters:
      `logStatement` - the string to log.

  - ### Log

    @Deprecated public static void Log(String logStatement)
    Deprecated.
    Use VoltageModule.Log() instead. @see VoltageModule

  - ### LogError

    @Deprecated public static void LogError(String logStatement)
    Deprecated.

  - ### ShowDropDownMenu

    @Deprecated public static int ShowDropDownMenu(String[] options, int currentlySelectedIndex, VoltageComponent showMenuUnderThisObject)
    Deprecated.
    Use VoltageModule.ShowDropDownMenu() instead. @see VoltageModule